Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101

# ov_raw_tell

declared in "vorbis/vorbisfile.h";

Returns the current offset in raw compressed bytes.

Note that if you later use ov_raw_seek() to return to this point, you won't generally get back to exactly the same place, due to internal buffering. Also note that a read operation may not cause a change to the current raw offset - only a read that requires reading more data from the underlying data source will do that.

    ogg_int64_t ov_raw_tell(OggVorbis_File *vf);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions.

### Return Values

> - n indicates the current offset in bytes.
> - OV_EINVAL means that the argument was invalid. In this case, the requested bitstream did not exist.

copyright © 2000-2010 Xiph.Org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101